Skip to main content

Delete a dispatch target

DELETE 

/nevisidm/api/core/v1/:clientExtId/users/:userExtId/dispatch-targets/:dispatchTargetExtId

Since: 8.2605.0, 9.2605.0

Required permission(s): (AccessControl.CredentialDelete orAccessControl.DispatchTargetDelete) or SelfAdmin Role

Deletes a specific dispatch target for the specified user.

This operation removes the dispatch target and removes it from all associate FIDO UAF credentials. If the dispatch target has an associated App Attestation, the App Attestation will also be deleted.

This endpoint supports self-admin access. When accessed by the user themselves, a valid JWT token must be provided in the X-Token header.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    userExtId stringrequired

    External ID of the user.

    Example: user-123
    dispatchTargetExtId stringrequired

    External ID of the dispatch target to delete

    Example: dt-123

Responses

Dispatch target deleted successfully

Loading...